# $Revision: 1.39 $, $Date: 2010/12/12 11:03:41 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	Net
%define		pnam	SNMP
%include	/usr/lib/rpm/macros.perl
Summary:	Net::SNMP - object oriented interface to SNMP
Summary(pl.UTF-8):	Net::SNMP - zorientowany obiektowo interfejs do SNMP
Name:		perl-Net-SNMP
Version:	6.0.1
Release:	1
# same as perl
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/D/DT/DTOWN/%{pdir}-%{pnam}-v%{version}.tar.gz
# Source0-md5:	6137f04f9942d703f66179f890e3d096
Patch0:		%{name}-kill_vstring.patch
URL:		http://search.cpan.org/dist/Net-SNMP/
BuildRequires:	perl-Crypt-DES >= 2.0.3
BuildRequires:	perl-Digest-HMAC
BuildRequires:	perl-Digest-SHA1
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Crypt-DES >= 2.0.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# optional (not required if not using v6)
%define		_noautoreq	perl(Socket6) perl(IO::Socket::INET6)

%description
The Net::SNMP Perl module implements an object oriented interface to
the Simple Network Management Protocol. Perl applications can use the
module to retrieve or update information on a remote host using the
SNMP protocol. The module supports SNMP version-1, SNMP version-2c
(Community-Based SNMPv2), and SNMP version-3. The Net::SNMP module
assumes that the user has a basic understanding of the Simple Network
Management Protocol and related network management concepts.

%description -l pl.UTF-8
Moduł Perla Net::SNMP stanowi zorientowaną obiektowo implementację
interfejsu do protokołu SNMP (Simple Network Management Protocol).
Programy perlowe mogą korzystać z tego modułu do pobierania i
aktualizacji informacji na zdalnych hostach używając protokołu SNMP.
Moduł ten obsługuje wersje protokołu SNMP: 1, 2c (Community-Based
SNMPv2) oraz 3. Moduł Net::SNMP zakłada, że użytkownik rozumie w
podstawowym zakresie protokół SNMP i związane z nim idee zarządzania
sieciowego.

%prep
%setup -q -n %{pdir}-%{pnam}-v%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%attr(755,root,root) %{_bindir}/snmpkey
%{perl_vendorlib}/Net/*.pm
%{perl_vendorlib}/Net/SNMP
%{_mandir}/man1/snmpkey.1p*
%{_mandir}/man3/Net::SNMP.3pm*
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-SNMP.spec,v $
Revision 1.39  2010/12/12 11:03:41  glen
- up to 6.0.1

Revision 1.38  2010/11/13 14:45:52  pawelz
- release 2

Revision 1.37  2009/08/28 08:10:12  amateja
- updated to 5.2.0

Revision 1.36  2008/07/27 22:53:29  arekm
- release 2

Revision 1.35  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.33  2004/12/02 22:24:01  qboosh
- Socket6 and IO::Socket::INET6 are optional

Revision 1.32  2004/12/01 18:02:29  radek
- autoupdated to 5.0.1

Revision 1.31  2004/11/03 22:30:37  paladine
- formatting

Revision 1.30  2004/08/11 19:19:11  radek
- version 5.0.0

Revision 1.29  2004/06/14 07:42:17  radek
- release 3: added -kill_vstring.patch

Revision 1.28  2004/05/07 00:32:03  ankry
- rel. 2

Revision 1.27  2004/05/06 18:01:30  ankry
- fixed perl-devel BR

Revision 1.26  2004/04/27 00:33:14  ankry
- tests added, other fixes

Revision 1.25  2004/04/15 05:10:33  ankry
- better description

Revision 1.24  2003/09/18 13:20:27  adamg
- updated to 4.1.2

Revision 1.23  2003/09/09 10:24:43  ankry
- spaces -> tab

Revision 1.22  2003/08/26 18:13:01  blues
- release 3 (higher than in RA-branch)

Revision 1.21  2003/08/18 08:09:04  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.20  2003/05/28 13:00:54  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 06:24:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.17  2003/03/01 20:21:51  radek
- should be ready for perl-5.8.0; release++

Revision 1.16  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.15  2003/02/18 15:37:16  ankry
- massive attack: change CPAN URLs

Revision 1.14  2002/09/12 22:20:49  radek
- version 4.0.3
- fixed License field

Revision 1.13  2002/07/12 09:04:40  qboosh
- new %doc and cosmetics

Revision 1.12  2002/07/11 08:02:21  depesz
- new version; should work; STBR

Revision 1.11  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.10  2002/02/25 10:33:28  depesz
- cleanup; revision++

Revision 1.9  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/13 20:28:05  kloczek
- adapterized.

Revision 1.7  2002/02/13 14:19:13  depesz
automatic: Source location unfied, Relase Up

Revision 1.6  2002/02/10 15:40:16  depesz
- adapterized

Revision 1.5  2002/02/09 12:59:37  depesz
- unfied source path

Revision 1.4  2002/01/18 02:14:23  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2002/01/07 09:48:20  kloczek
- updated to 4.0.1 (fixes for SNMPv2 and v3 and for RFC 2571 for return correct
  value for security model described in this doc).

Revision 1.2  2001/11/30 01:16:55  misiek
- one more R

Revision 1.1  2001/11/30 01:15:18  misiek
- initial pld release
